# riscv::register::mstatus - Rust
mstatus register
Keywords: rust, rustlang, rust-lang, mstatus

# Module riscv::register::mstatus

source · [−]
Expand description

mstatus register

## Structs

Mstatus

mstatus register

## Enums

FS

Floating-point extension state

MPP

Machine Previous Privilege Mode

SPP

Supervisor Previous Privilege Mode

XS

Additional extension state

## Functions

clear_mie ⚠

Machine Interrupt Enable

clear_sie ⚠

Supervisor Interrupt Enable

clear_uie ⚠

User Interrupt Enable

read

Reads the CSR

set_fs ⚠

Floating-point extension state

set_mie ⚠

Machine Interrupt Enable

set_mpie ⚠

Machine Previous Interrupt Enable

set_mpp ⚠

Machine Previous Privilege Mode

set_sie ⚠

Supervisor Interrupt Enable

set_spie ⚠

Supervisor Previous Interrupt Enable

set_spp ⚠

Supervisor Previous Privilege Mode

set_uie ⚠

User Interrupt Enable

set_upie ⚠

User Previous Interrupt Enable